=== debian/changelog ===
hol-light (20120602-1build1) saucy; urgency=low

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 May 2013 14:58:25 +0100
