## hol-light 20130511

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: hol-light
 Section: math
-Priority: optional
+Priority: extra
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Hendrik Tews <hendrik@askra.de>
@@ -9,7 +9,7 @@
  ocaml-base-nox,
  dh-ocaml (>= 0.9~),
  debhelper (>= 9.0.0)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.cl.cam.ac.uk/~jrh13/hol-light/
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/hol-light.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/hol-light.git
@@ -33,5 +33,5 @@
  HOL Light is an interactive theorem prover for Higher-Order Logic
  with a very simple logical core running in an OCaml toplevel. HOL
  Light is famous for the verification of floating-point
- arithmetic as well as for the Flyspec project, which aims at the
+ arithmetic as well as for the Flyspeck project, which aims at the
  formalization of Tom Hales' proof of the Kepler conjecture.
