=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1
# export DH_OPTIONS=-v 

# This has to be exported to make some magic below work.
export DH_OPTIONS


%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	dh_auto_clean
	make -C Mizarlight clean

.PHONY: override_dh_auto_build
override_dh_auto_build:
	cp pa_j_3.1x_6.02.2.ml pa_j.ml
	make
	make -C Mizarlight

INSTDIR:=debian/hol-light
.PHONY: override_dh_auto_install
override_dh_auto_install:
	install -d $(INSTDIR)/usr/share/hol-light
	tar --anchored --exclude-from=debian/hol-light-source.exclude -c . | \
		tar -C $(INSTDIR)/usr/share/hol-light -x
	install -d $(INSTDIR)/usr/bin
	install debian/hol-light.sh $(INSTDIR)/usr/bin/hol-light

.PHONY: override_dh_auto_test
override_dh_auto_test:
	debian/test-hol-light

.PHONY: override_dh_ocaml
override_dh_ocaml:
	dh_ocaml --runtime-map hol-light
