## hol-light 20130811

=== Makefile ===
--- 
+++ 
@@ -28,35 +28,36 @@
        real.ml calc_rat.ml int.ml sets.ml iterate.ml cart.ml define.ml  \
        help.ml database.ml update_database.ml
 
+# Some parameters to help decide how to build things
+
+OCAML_VERSION=`ocamlc -version | cut -c1-4`
+OCAML_BINARY_VERSION=`ocamlc -version | cut -c1-3`
+CAMLP5_BINARY_VERSION=`camlp5 -v 2>&1 | cut -f3 -d' ' | cut -c1`
+CAMLP5_VERSION=`camlp5 -v 2>&1 | cut -f3 -d' ' | cut -f1-3 -d'.' | cut -c1-6`
+
 # Build the camlp4 syntax extension file (camlp5 for OCaml >= 3.10)
 
-pa_j.cmo: pa_j.ml; if test `ocamlc -version | cut -c3` = "0" ; \
-                   then ocamlc -c -pp "camlp4r pa_extend.cmo q_MLast.cmo" -I +camlp4 pa_j.ml; \
-                   else ocamlc -c -pp "camlp5r pa_lexer.cmo pa_extend.cmo q_MLast.cmo" -I +camlp5 pa_j.ml; \
+pa_j.cmo: pa_j.ml; if test ${OCAML_BINARY_VERSION} = "3.0" ; \
+                   then ocamlc -c -pp "camlp4r pa_extend.cmo q_MLast.cmo" -I `camlp4 -where` pa_j.ml; \
+                   else ocamlc -c -pp "camlp5r pa_lexer.cmo pa_extend.cmo q_MLast.cmo" -I `camlp5 -where` pa_j.ml; \
                    fi
 
 # Choose an appropriate camlp4 or camlp5 syntax extension.
 #
-# For OCaml < 3.10 (OCAML_BINARY_VERSION = "0"), this uses the built-in
+# For OCaml < 3.10 (OCAML_BINARY_VERSION = "3.0"), this uses the built-in
 # camlp4, and in general there are different versions for each OCaml version
 #
-# For OCaml >= 3.10 (OCAML_BINARY_VERSION = "1"), this uses the separate
-# program camlp5. Now the appropriate syntax extensions is determined based
-# on the camlp5 version. The main distinction is < 6.00 and >= 6.00, but
-# unfortunately there is another incompatibility between 6.02.0 and the very
-# latest 6.02.1...
-
-OCAML_VERSION=`ocamlc -version | cut -c1-4`
-OCAML_BINARY_VERSION=`ocamlc -version | cut -c3`
-CAMLP5_BINARY_VERSION=`camlp5 -v 2>&1 | cut -f3 -d' ' | cut -c1`
-CAMLP5_VERSION=`camlp5 -v 2>&1 | cut -f3 -d' ' | cut -f1-3 -d'.' | cut -c1-6`
+# For OCaml >= 3.10 (OCAML_BINARY_VERSION = "3.1" or "4.x"), this uses the
+# separate program camlp5. Now the appropriate syntax extensions is determined
+# based on the camlp5 version. The main distinction is < 6.00 and >= 6.00, but
+# there are some other incompatibilities, unfortunately.
 
 pa_j.ml: pa_j_3.07.ml pa_j_3.08.ml pa_j_3.09.ml pa_j_3.1x_5.xx.ml pa_j_3.1x_6.xx.ml; \
-        if test ${OCAML_BINARY_VERSION} = "0" ; \
+        if test ${OCAML_BINARY_VERSION} = "3.0"  ; \
         then cp pa_j_${OCAML_VERSION}.ml pa_j.ml ; \
         else if test ${CAMLP5_VERSION} = "6.02.1" ; \
              then cp pa_j_3.1x_6.02.1.ml pa_j.ml; \
-             else if test ${CAMLP5_VERSION} = "6.02.2" -o ${CAMLP5_VERSION} = "6.02.3" -o ${CAMLP5_VERSION} = "6.05" ; \
+             else if test ${CAMLP5_VERSION} = "6.02.2" -o ${CAMLP5_VERSION} = "6.02.3" -o ${CAMLP5_VERSION} = "6.03" -o ${CAMLP5_VERSION} = "6.04" -o ${CAMLP5_VERSION} = "6.05" -o ${CAMLP5_VERSION} = "6.06" ; \
                   then cp pa_j_3.1x_6.02.2.ml pa_j.ml; \
                   else cp pa_j_3.1x_${CAMLP5_BINARY_VERSION}.xx.ml pa_j.ml; \
                   fi \
