=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
  debhelper (>= 9.0.0)
 Standards-Version: 3.9.4
 Homepage: http://www.cl.cam.ac.uk/~jrh13/hol-light/
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/hol-light.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/hol-light.git
+Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/hol-light.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/hol-light.git
 
 Package: hol-light
 Architecture: any
