=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Hendrik Tews <hendrik@askra.de>
 Build-Depends: 
- camlp5 (>= 6.0.4),
+ camlp5 (>= 6.0.7),
  ocaml-base-nox,
  dh-ocaml (>= 0.9~),
  debhelper (>= 9.0.0)
