=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build:
-	cp pa_j_3.1x_6.02.2.ml pa_j.ml
+	cp pa_j_3.1x_6.11.ml pa_j.ml
 	make
 	make -C Mizarlight
 
@@ -38,6 +38,7 @@
 	install -d $(INSTDIR)/usr/share/hol-light
 	tar --anchored --exclude-from=debian/hol-light-source.exclude -c . | \
 		tar -C $(INSTDIR)/usr/share/hol-light -x
+	chmod -x $(INSTDIR)/usr/share/hol-light/RichterHilbertAxiomGeometry/Topology.ml
 	install -d $(INSTDIR)/usr/bin
 	install debian/hol-light.sh $(INSTDIR)/usr/bin/hol-light
