=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

# The upstream version of HOL Light is only available as svn repository
# at http://hol-light.googlecode.com/svn/trunk . There are no releases.
# 
# If there is a way to let uscan check svn revision numbers then please
# tell me!
