=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
  ocaml-base-nox,
  dh-ocaml (>= 0.9~),
  debhelper (>= 9.0.0)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.8
 Homepage: http://www.cl.cam.ac.uk/~jrh13/hol-light/
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/hol-light.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/hol-light.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/hol-light.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/hol-light.git
 
 Package: hol-light
 Architecture: any
