=== debian/changelog ===
hol-light (20170706-0ubuntu4) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 21:57:06 +0200

hol-light (20170706-0ubuntu3) artful; urgency=medium

  * debian/patches/camlp5-7.patch: Copy from Debian to fix FTBFS.
  * debian/control: Update build dependency on camlp5 per Debian.

 -- Logan Rosen <logan@ubuntu.com>  Wed, 02 Aug 2017 22:36:02 -0700

hol-light (20170706-0ubuntu2) artful; urgency=high

  * No change rebuild against camlp5.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 25 Jul 2017 11:20:05 +0100

hol-light (20170706-0ubuntu1) artful; urgency=medium

  * New upstream release

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 07 Jul 2017 15:14:34 +0100

hol-light (20170109-1build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 27 Jun 2017 13:37:40 +0100
