=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: hol-light
 Section: math
 Priority: extra
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Hendrik Tews <hendrik@askra.de>
 Build-Depends: 
- camlp5 (>= 6.0.7),
+ camlp5 (>= 7.01),
  ocaml-base-nox,
  dh-ocaml (>= 0.9~),
  debhelper (>= 9.0.0)
