=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,6 @@
 override_dh_auto_build:
 	cp pa_j_3.1x_6.11.ml pa_j.ml
 	make
-	make -C Mizarlight
 
 INSTDIR:=debian/hol-light
 .PHONY: override_dh_auto_install
@@ -38,7 +37,9 @@
 	install -d $(INSTDIR)/usr/share/hol-light
 	tar --anchored --exclude-from=debian/hol-light-source.exclude -c . | \
 		tar -C $(INSTDIR)/usr/share/hol-light -x
-	chmod -x $(INSTDIR)/usr/share/hol-light/RichterHilbertAxiomGeometry/Topology.ml
+	chmod -x $(INSTDIR)/usr/share/hol-light/Help/HYP_TAC.doc
+	chmod -x $(INSTDIR)/usr/share/hol-light/RichterHilbertAxiomGeometry/TarskiAxiomGeometry_read.ml
+	chmod -x $(INSTDIR)/usr/share/hol-light/Multivariate/cvectors.ml
 	install -d $(INSTDIR)/usr/bin
 	install debian/hol-light.sh $(INSTDIR)/usr/bin/hol-light
