=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
-# export DH_OPTIONS=-v 
+# export DH_OPTIONS=-v
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
@@ -25,11 +25,6 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	make -C Mizarlight clean
-
-.PHONY: override_dh_auto_build
-override_dh_auto_build:
-	cp pa_j_3.1x_6.11.ml pa_j.ml
-	make
 
 INSTDIR:=debian/hol-light
 .PHONY: override_dh_auto_install
@@ -45,7 +40,9 @@
 
 .PHONY: override_dh_auto_test
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	debian/test-hol-light
+endif
 
 .PHONY: override_dh_ocaml
 override_dh_ocaml:
